## RBCellRendererPixbuf RBCellRendererPixbuf — GtkCellRenderer for displaying pixbufs in tree views |

## Functions

GtkCellRenderer * | rb_cell_renderer_pixbuf_new ()

## Signals

void | pixbuf-clicked | Run First

## Types and Values

struct | RBCellRendererPixbuf
struct | RBCellRendererPixbufClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── GtkCellRendererPixbuf
                    ╰── RBCellRendererPixbuf

## Description

This is similar to GtkCellRendererPixbuf, except that it also emits a signal when the pixbuf is clicked on, and it can only use pixbuf objects.

## Functions

### rb_cell_renderer_pixbuf_new ()

    GtkCellRenderer *
    rb_cell_renderer_pixbuf_new (void);

Creates a new RBCellRendererPixbuf.

#### Returns

the new cell renderer

## Types and Values

### struct RBCellRendererPixbuf

    struct RBCellRendererPixbuf;

### struct RBCellRendererPixbufClass

    struct RBCellRendererPixbufClass {
      GtkCellRendererPixbufClass parent_class;

      void (*pixbuf_clicked) (RBCellRendererPixbuf *renderer, GtkTreePath *path);
    };

## Signal Details

### The `“pixbuf-clicked”` signal

    void
    user_function (RBCellRendererPixbuf *renderer,
                   gchar                *path,
                   gpointer              user_data)

Emitted when the user clicks on the pixbuf cell.

#### Parameters

renderer | the RBCellRendererPixbuf |
path | the GtkTreePath to the row that was clicked |
user_data | user data set when the signal handler was connected. |

Flags: Run First